package com.ruoyi.nanjing.mapper;

import java.util.List;
import com.ruoyi.nanjing.domain.TBdProductinfo;

/**
 * 产品信息Mapper接口
 * 
 * @author limy
 * @date 2021-01-25
 */
public interface TBdProductinfoMapper 
{
    /**
     * 查询产品信息
     * 
     * @param ID 产品信息ID
     * @return 产品信息
     */
    public TBdProductinfo selectTBdProductinfoById(Long ID);

    /**
     * 查询产品信息列表
     * 
     * @param tBdProductinfo 产品信息
     * @return 产品信息集合
     */
    public List<TBdProductinfo> selectTBdProductinfoList(TBdProductinfo tBdProductinfo);

    /**
     * 新增产品信息
     * 
     * @param tBdProductinfo 产品信息
     * @return 结果
     */
    public int insertTBdProductinfo(TBdProductinfo tBdProductinfo);

    /**
     * 修改产品信息
     * 
     * @param tBdProductinfo 产品信息
     * @return 结果
     */
    public int updateTBdProductinfo(TBdProductinfo tBdProductinfo);

    /**
     * 删除产品信息
     * 
     * @param ID 产品信息ID
     * @return 结果
     */
    public int deleteTBdProductinfoById(Long ID);

    /**
     * 批量删除产品信息
     * 
     * @param IDs 需要删除的数据ID
     * @return 结果
     */
    public int deleteTBdProductinfoByIds(String[] IDs);

    List<TBdProductinfo> selectTBdProductinfo();
}
